﻿@charset "UTF-8";

/* ----入力フォーム共通---- */

input,
button,
select,
textarea {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}

input[type="text"],
input[type="tel"],
input[type="email"],
input[type="search"],
input[type="password"],
input[type="url"],
input[type="number"],
select,
textarea {
  padding: 6px 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  background-color: #fff;
}

textarea {
  width: 100%;
}

input[type="text"]:hover,
input[type="tel"]:hover,
input[type="email"]:hover,
input[type="search"]:hover,
input[type="password"]:hover,
input[type="url"]:hover,
input[type="number"]:hover,
select:hover,
textarea:hover {
  border: 1px solid #666;
}

input[type="radio"] {
  margin: 0;
  padding: 0;
  background: #fff;
  border: 1px solid #888;
  border-radius: 50%;
  outline: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 18px;
  height: 18px;
  vertical-align: middle;
  margin-right: 5px;
  position: relative;
}

label + input[type="radio"] {
  margin-left: 10px;
}

input[type="radio"]::after {
  content: "";
  display: block;
  position: absolute;
  top: 3px;
  left: 3px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: var(--color01);
  opacity: 0;
}

input[type="radio"]:checked::after {
  opacity: 1;
}

input[type="checkbox"] {
  margin: 0;
  padding: 0;
  background: #fff;
  border: none;
  outline: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 18px;
  height: 18px;
  vertical-align: middle;
  margin-right: 8px;
  position: relative;
  border: 1px solid #888;
  border-radius: 4px;
}

input[type="checkbox"]:disabled {
  opacity: 0.3;
}

input[type="checkbox"]::after {
  content: "";
  display: block;
  position: absolute;
  left: 5px;
  top: calc(50% - 1px);
  width: 6px;
  height: 10px;
  border-right: 2px solid #fff;
  border-bottom: 2px solid #fff;
  transform: translateY(-50%) rotate(45deg);
  opacity: 0;
}

input[type="checkbox"]:checked {
  background: var(--color01);
  border-color: var(--color01);
}

input[type="checkbox"]:checked::after {
  opacity: 1;
}

label.radio,
label.checkbox,
input[type="radio"],
input[type="radio"] + label,
input[type="checkbox"],
input[type="checkbox"] + label,
select {
  cursor: pointer;
}

input[type="text"][disabled] {
  background: #dcdcdc;
  cursor: not-allowed;
}

input[type="text"][size="1"] {
  width: 7px;
}

input[type="text"][size="2"] {
  width: 14px;
}

input[type="text"][size="3"] {
  width: 21px;
}

input[type="text"][size="4"] {
  width: 28px;
}

input[type="text"][size="5"] {
  width: 35px;
}

input[type="text"][size="6"] {
  width: 42px;
}

input[type="text"][size="7"] {
  width: 49px;
}

input[type="text"][size="8"] {
  width: 56px;
}

input[type="text"][size="9"] {
  width: 63px;
}

input[type="text"][size="10"] {
  width: 70px;
}

input[type="text"][size="11"] {
  width: 77px;
}

input[type="text"][size="12"] {
  width: 84px;
}

input[type="text"][size="13"] {
  width: 91px;
}

input[type="text"][size="14"] {
  width: 98px;
}

input[type="text"][size="15"] {
  width: 105px;
}

input[type="text"][size="16"] {
  width: 112px;
}

input[type="text"][size="17"] {
  width: 119px;
}

input[type="text"][size="18"] {
  width: 126px;
}

input[type="text"][size="19"] {
  width: 133px;
}

input[type="text"][size="20"] {
  width: 140px;
}

input[type="text"][size="21"] {
  width: 147px;
}

input[type="text"][size="22"] {
  width: 154px;
}

input[type="text"][size="23"] {
  width: 161px;
}

input[type="text"][size="24"] {
  width: 168px;
}

input[type="text"][size="25"] {
  width: 175px;
}

input[type="text"][size="26"] {
  width: 182px;
}

input[type="text"][size="27"] {
  width: 189px;
}

input[type="text"][size="28"] {
  width: 196px;
}

input[type="text"][size="29"] {
  width: 203px;
}

input[type="text"][size="30"] {
  width: 210px;
}

input[type="text"][size="31"] {
  width: 217px;
}

input[type="text"][size="32"] {
  width: 224px;
}

input[type="text"][size="33"] {
  width: 231px;
}

input[type="text"][size="34"] {
  width: 238px;
}

input[type="text"][size="35"] {
  width: 245px;
}

input[type="text"][size="36"] {
  width: 252px;
}

input[type="text"][size="37"] {
  width: 259px;
}

input[type="text"][size="38"] {
  width: 266px;
}

input[type="text"][size="39"] {
  width: 273px;
}

input[type="text"][size="40"] {
  width: 280px;
}

input[type="text"][size="41"] {
  width: 287px;
}

input[type="text"][size="42"] {
  width: 294px;
}

input[type="text"][size="43"] {
  width: 301px;
}

input[type="text"][size="44"] {
  width: 308px;
}

input[type="text"][size="45"] {
  width: 315px;
}

input[type="text"][size="46"] {
  width: 322px;
}

input[type="text"][size="47"] {
  width: 329px;
}

input[type="text"][size="48"] {
  width: 336px;
}

input[type="text"][size="49"] {
  width: 343px;
}

input[type="text"][size="50"] {
  width: 350px;
}

input[type="text"][size="51"] {
  width: 357px;
}

input[type="text"][size="52"] {
  width: 364px;
}

input[type="text"][size="53"] {
  width: 371px;
}

input[type="text"][size="54"] {
  width: 378px;
}

input[type="text"][size="55"] {
  width: 385px;
}

input[type="text"][size="56"] {
  width: 392px;
}

input[type="text"][size="57"] {
  width: 399px;
}

input[type="text"][size="58"] {
  width: 406px;
}

input[type="text"][size="59"] {
  width: 413px;
}

input[type="text"][size="60"] {
  width: 420px;
}

input[type="text"][size="65"] {
  width: 455px;
}

input[type="text"][size="70"] {
  width: 490px;
}

input[type="text"][size="75"] {
  width: 525px;
}

/* ----ラジオボタン、チェックボックス---- */

.radio {
  margin-right: 10px;
}

/* 共通クラス(ブロック) */
.submit_ {
  margin: 0;
  padding: 16px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.submit_ input,
.submit_ img {
  margin: 0 16px;
  vertical-align: middle;
  display: inline;
}

/*** button ***/
.assist_button_mini_ {
  overflow: visible;
  cursor: pointer;
  margin: 4px 0;
  font-size: 14px;
  font-weight: 500;
  line-height: 13px;
  height: auto;
  font-weight: normal;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  padding: 8px 21px;
  text-decoration: none;
  background-color: #fff;
  background-color: var(--color01);
  color: var(--txtColor01);
  color: #fff;
  display: inline-block;
  position: relative;
  border: 1px solid #dedede;
}

.assist_button_mini_.delete_header_img_,
.assist_button_mini_.delete_contents_comment_img_ {
  background: var(--color03);
  color: #fff;
}

.assist_button_mini_.delete_header_img_:hover,
.assist_button_mini_.delete_contents_comment_img_:hover {
  background: var(--color03);
  opacity: 0.7;
}

.assist_button_mini_.--delete_ {
  background: var(--color03);
  color: #fff;
}

.assist_button_mini_.--delete_:hover {
  background: var(--color03);
  opacity: 0.7;
}

.assist_button_mini_:hover {
  /* background-color: #EFF1F5; */
  opacity: 0.7;
}

.assist_button_mini_:active {
  top: 1px;
}

.assist_button_mini_:disabled {
  color: #cfcfcf;
  opacity: 0.8;
}

.button_ {
  overflow: visible;
  cursor: pointer;
  margin: 4px 8px 4px 8px;
  font-size: 16px;
  line-height: 1.5;
  height: auto;
  font-weight: normal;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  border: 1px solid #909090;
  padding: 8px 24px;
  text-decoration: none;
  background-color: #fff;
  color: #333;
  display: inline-block;
  position: relative;
}

.button_.--delete_ {
  background: var(--color03);
  color: #fff;
}

.button_:hover {
  opacity: 0.7;
}

.button_:active {
  top: 1px;
}

.button_:disabled {
  color: #cfcfcf;
  opacity: 0.8;
}

.orange_button_ {
  /* background-color: #ff7f3f; */
  background-color: var(--color01);
  border: none;
  color: #fff;
}

.blue_button_ {
  /* background-color: #2883e9; */
  background-color: #969696;
  border: none;
  color: #fff;
}

input.blue_button_ {
  background: var(--color01);
}

.green_button_ {
  background-color: #40a956;
  color: #fff;
}

.gray_button_ {
  background-color: #999;
  color: #fff;
}

.black_button_ {
  background-color: #000;
  color: #fff;
}
